#
# spec file for package perl-HTML-Tree
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTML-Tree
Version:        5.07
Release:        1.32
%define cpan_name HTML-Tree
Summary:        Build and Scan Parse-Trees of Html
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTML-Tree/
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser) >= 3.46
BuildRequires:  perl(HTML::Tagset) >= 3.02
BuildRequires:  perl(Module::Build) >= 0.280800
BuildRequires:  perl(Test::Fatal)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::Parser) >= 3.46
Requires:       perl(HTML::Tagset) >= 3.02
Recommends:     perl(HTML::FormatText)
Recommends:     perl(LWP::UserAgent) >= 5.815
%{perl_requires}

%description
HTML-Tree is a suite of Perl modules for making parse trees out of HTML
source. It consists of mainly two modules, whose documentation you should
refer to: HTML::TreeBuilder and HTML::Element.

HTML::TreeBuilder is the module that builds the parse trees. (It uses
HTML::Parser to do the work of breaking the HTML up into tokens.)

The tree that TreeBuilder builds for you is made up of objects of the class
HTML::Element.

If you find that you do not properly understand the documentation for
HTML::TreeBuilder and HTML::Element, it may be because you are unfamiliar
with tree-shaped data structures, or with object-oriented modules in
general. Sean Burke has written some articles for _The Perl Journal_
('www.tpj.com') that seek to provide that background. The full text of
those articles is contained in this distribution, as:

* HTML::Tree::AboutObjects

"User's View of Object-Oriented Modules" from TPJ17.

* HTML::Tree::AboutTrees

"Trees" from TPJ18

* HTML::Tree::Scanning

"Scanning HTML" from TPJ19

Readers already familiar with object-oriented modules and tree-shaped data
structures should read just the last article. Readers without that
background should read the first, then the second, and then the third.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README TODO
%license LICENSE

%changelog
* Fri Sep  1 2017 coolo@suse.com
- updated to 5.07
  see /usr/share/doc/packages/perl-HTML-Tree/Changes
  5.07     2017-08-31
    Release by Kent Fredric
    [FIXES]
  * Workaround more @INC issues with Module::Build and sudo RT#122199
* Sat Apr 29 2017 coolo@suse.com
- updated to 5.06
  see /usr/share/doc/packages/perl-HTML-Tree/Changes
  5.06     2017-04-28
    Release by Kent Fredric
  * Revert XML escaping changes from 5.04 due to large numbers of
    broken dependents
  - RT#121310 https://rt.cpan.org/Ticket/Display.html?id=121310
  - https://github.com/rjbs/MasonX-Resolver-WidgetFactory/issues/1
  - https://github.com/kentfredric/HTML-Tree/issues/1
* Wed Apr 19 2017 coolo@suse.com
- updated to 5.04
  see /usr/share/doc/packages/perl-HTML-Tree/Changes
  5.04     2017--04-17
    Release by Jeff Fearn
    [FIXES]
  * Remove Distzilla to fix RT #120521 #89820
  * Add POD to htmltree RT #116367
  * Speed up is_inside method RT #113415
  - From Todd Rinaldo https://github.com/madsen/HTML-Tree/pull/5
  * Fix extra spaces being added to comments RT #94311
  - From Tomaz Solc
  * Don't needlessly escape characters in element content RT #93431
  - From Tomaz Solc
* Tue Apr 14 2015 coolo@suse.com
- updated to 5.03
  see /usr/share/doc/packages/perl-HTML-Tree/Changes
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Thu Apr  7 2011 vcizek@novell.com
- update to 4.2
    [FIXES]
  * Tied all $VERSION to HTML::Element to ensure latest package is used
    for all modules. RT #66110
  * Moved perlcritic tests to xt/author
    [DOCUMENTATION]
  * Added text and link to "Perl and LWP" book.
  * Fix Authors in all PM files.
* Fri Feb 25 2011 chris@computersalat.de
- recreated by cpanspec 1.78.03
  o fix deps
- noarch pkg
* Thu Jan 20 2011 vcizek@novell.com
- update to 4.1
  [FIXES]
  * '/' is a valid attribute (pull from tokuhirom) (RT #61809)
  * Change check fo subclasses in as_HTML. (RT #61673)
  * Fix ProhibitThreeArgumentOpen being triggered. (RT #61857)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Sep 21 2010 anicka@suse.cz
- update to 4.00
  * Changes to entity encoding from ord values to XML entities may
  break tests expecting &#00; style encoding.
  * Attribute names are now validated in as_XML and invalid names
  will cause an error.
  * bugfixes, test fixes
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Dec 13 2006 kssingvo@suse.de
- update to 3.23
  * fix for as_html was not proper, and broken behavior should never
    be modified.
  * HTML::Element::as_XML now only escapes five characters, instead
    of escaping everything but alphanumerics and spaces.
  * A string comparison was commented to use lc() on both sides, but
    didn't.
  * Added several new tests and enhanced others.
  * Fixed description of HTML::Element::all_attr_names.
  * Fixed example code in HTML::Element::push_content.
  * Fixed description of HTML::Element::as_HTML.
* Thu Aug 10 2006 kssingvo@suse.de
- update to 3.21
  * Updated HTML::Parser requirement to 3.46 to fix a bug in
    tag-rendering.t, noted in RT 20816 and 19796.  Thanks to
    Gordon Lack and Ricardo Signes
  * Fixed HTML::TreeBuilder to not remove &nbsp; where it shouldn't,
    using patch supplied in RT 17481.  Thanks to Chris Madsen.
* Thu Jun 22 2006 kssingvo@suse.de
- update to version 3.20.
- bug fixes for starttag(): HTML::Element is now rendered correctly
  and became a installation test case
- bug fix in restoration of declarations
- DOCTYPE now always present on top of document
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 kssingvo@suse.de
- update to version 3.1901
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Tue Dec 16 2003 kssingvo@suse.de
- initial version
